PODBOAT(1)

NAME
podboat - a podcast download manager for text terminals

SYNOPSIS
podboat [-C configfile] [-q queuefile] [-a] [-h]

DESCRIPTION
podboat is a podcast manager for text terminals. It is a helper program to newsboat which queues podcast downloads into a file. These queued downloads can then be download with newsboat.

OPTIONS

-h, --help
    Display help

-C configfile, --config-file=configfile
    Use an alternative configuration file

-q queuefile, --queue-file=queuefile
    Use an alternative queue file

-a, --autodownload
    Start automatic download of all queued files on startup

-l loglevel, --log-level=loglevel
    Generate a logfile with a certain loglevel. Valid loglevels are 1 to 6. An actual logfile will only be written when you provide a logfile name.

-d logfile, --log-file=logfile
    Use this logfile as output when logging debug messages. Please note that this only works when providing a loglevel.

PODCAST SUPPORT
A podcast is a media file distributed over the internet using syndication feeds such as RSS, for later playback on portable players or computers. Newsboat contains support for downloading and saving podcasts. This support differs a bit from other podcast aggregators or "podcatchers" in how it is done. Podcast content is transported in RSS feeds via special tags called "enclosures". Newsboat recognizes these enclosures and stores the relevant information for every podcast item it finds in an RSS feed. Since version 2.0, it also recognizes and handles the Yahoo Media RSS extensions. What the user then can do is to add the podcast download URL to a download queue. Alternatively, newsboat can be configured to automatically do that. This queue is stored in the file $HOME/.newsboat/queue. The user can then use the download manager podboat to download these files to a directory on the local filesystem. Podboat comes with the newsboat package, and features a look and feel very close to the one of newsboat. It also shares the same configuration file. Podcasts that have been downloaded but haven&#8217;t been played yet remain in the queue but are marked as downloaded. You can remove them by purging them from the queue with the "P" key. After you&#8217;ve played a file and close podboat, it will be removed from the queue. The downloaded file remains on the filesystem.

CONFIGURATION COMMANDS

download-path (parameters: <path>; default value: ~/)
    Specifies the directory where podboat shall download the files to. Optionally, the placeholders "%n" (for the podcast feed&#8217;s name) and "%h" (for the podcast feed&#8217;s hostname) can be used to place downloads in a directory structure. (example: download-path "~/Downloads/%h/%n")

max-downloads (parameters: <number>; default value: 1)
    Specifies the maximum number of parallel downloads when automatic download is enabled. (example: max-downloads 3)

player (parameters: <player command>; default value: "")
    Specifies the player that shall be used for playback of downloaded files. (example: player "mp3blaster")

XDG BASE DIRECTORY SUPPORT
Podboat defaults to storing everything in $HOME/.newsboat directory. If you prefer XDG, create $HOME/.config/newsboat and $HOME/.local/share/newsboat directories, and Podboat will use them from there on. If you already have some files in $HOME/.newsboat/, move the queue file to $HOME/.local/share/newsboat/, and that should be it. See also a corresponding section in newsboat(1).

FILES

dotfiles
     $HOME/.newsboat/config $HOME/.newsboat/queue

XDG
     $HOME/.config/newsboat/config $HOME/.local/share/newsboat/queue

ENVIRONMENT

CURL_CA_BUNDLE
    Tells Newsboat to use the specified certificate file to verify the peer. The file may contain multiple certificates. The certificate(s) must be in PEM format. This option is useful if your libcurl is built without useful certificate information, and you can&#8217;t rebuild the library yourself.

TMPDIR
    Tells Newsboat to use the specified directory for storing temporary files. If this variable doesn&#8217;t exist, a default of /tmp will be used.

SEE ALSO
newsboat(1)

AUTHOR
Alexander Batischev.